SYSTEMD-ID128(1)

NOM
systemd-id128 – Générer et afficher des identifiants sd-128

SYNOPSIS

systemd-id128 [OPTIONS...] new

systemd-id128 [OPTIONS...] machine-id

systemd-id128 [OPTIONS...] boot-id

systemd-id128 [OPTIONS...] invocation-id

systemd-id128 [OPTIONS...] var-partition-uuid

systemd-id128 [OPTIONS...] show [NOM|UUID...]

DESCRIPTION

id128 peut être utilisé pour afficher de manière pratique les UUID sd-id128(3). L’identifiant affiché dépend de l’action spécifique.

Avec new, un nouvel identifiant aléatoire est généré.

Avec machine-id, l’identifiant de la machine actuelle est affiché. Consulter machine-id(5).

Avec boot-id, l’identifiant de l’amorçage actuel est affiché.

Avec invocation-id, l’identifiant de l’invocation du service actuel est affiché. Cela n’est disponible que dans les services de systemd. Consulter systemd.exec(5).

Avec show, les identifiants typiques sont affichés (actuellement, seulement les UUID de type de partition GPT), avec de brèves chaines d’identifiant. Quand aucun argument n’est spécifié, tous les identifiants connus sont affichés. Quand des arguments sont indiqués, cela peut être les identifiants ou les valeurs d’identifiant d’un ou plus identifiants connus qui sont alors affichés avec leur nom, ou des identifiants arbitraires qui sont alors affichés avec un nom générique. Cela peut être combiné avec l’option --uuid pour lister les identifiants dans le style UUID, c’est-à-dire la façon dont les UUID de type de partition GPT sont habituellement affichés.

machine-id, boot-id et show peuvent être combinés avec l’option --app-specific=id_app pour générer des identifiants spécifiques à des applications. Consulter sd_id128_get_machine(3) pour savoir quand c’est utile. La prise en charge de l’option show --app-specific= a été ajoutée dans la version 255.

var-partition-uuid affiche un UUID qui, selon UAPI.2 Discoverable Partitions Specification[1], doit être utilisé comme UUID de partition GPT pour /var/, dérivé du type de partition GPT, indexé par le fichier local /etc/machine-id. Ajouté dans la version 257.

OPTIONS

Les options suivantes sont comprises :

-p, --pretty
    Génération de la sortie sous forme de fragments de code de langage de programmation.

    Ajouté dans la version 240.

-P, --value
    Afficher seulement la valeur. Cette option peut être combinée avec les options -u/--uuid.

    Ajouté dans la version 255.

-a id_app, --app-specific=id_app
    Avec cette option, les identifiants affichés sont le résultat du hachage de l’identifiant id_app de l’application et d’un autre identifiant. L’argument id_app doit être une chaine sd-id128 valable identifiant l’application. Lorsque utilisé avec l’option machine-id, l’autre identifiant est l’identifiant de machine tel que décrit dans machine-id(5) ; lorsque utilisé avec l’option boot-id, l’autre identifiant est l’identifiant d’amorçage ; lorsque utilisé avec l’option show, l’autre ou les autres identifiants sont indiqués à l’aide d’arguments positionnels.

    Ajouté dans la version 240.

-u, --uuid
    Génération de la sortie sous forme d’UUID formaté selon la « représentation canonique », avec cinq groupes de chiffres séparés par des traits-d’union. Consulter l’entrée de Wikipédia pour Universally Unique Identifiers[2] pour plus d’explications.

    Ajouté dans la version 244.

--no-pager
    Ne pas rediriger (pipe) la sortie vers un afficheur (pager).

--no-legend
    Ne pas imprimer de légende, c'est-à-dire les en-têtes de colonnes et le pied de page contenant des remarques.

--json=MODE
    Afficher la sortie formatée en JSON. Le mode attendu est « short » (pour la sortie la plus concise possible sans redondance d’espace ou de saut de ligne), « pretty » (pour une plus jolie version de la même chose avec indentation et sauts de ligne) ou « off » (pour désactiver la sortie JSON, comportement par défaut).

-j
    Équivalent à --json=pretty lorsque lancé sur un terminal et à --json=short autrement.

-h, --help
    Afficher un aide-mémoire succinct et quitter.

--version
    Afficher une information de version courte et quitter.

CODE DE RETOUR

En cas de succès, 0 est renvoyé, autrement, un code d'échec différent de zéro est renvoyé.

EXEMPLES

Exemple 1. Afficher un UUID typique

    $ systemd-id128 show --value user-home
    773f91ef66d449b5bd83d683bf40ad16
    $ systemd-id128 show --value --uuid user-home
    773f91ef-66d4-49b5-bd83-d683bf40ad16
    $ systemd-id128 show 773f91ef-66d4-49b5-bd83-d683bf40ad16
    NAME      ID
    user-home 773f91ef66d449b5bd83d683bf40ad16

Exemple 2. Générer un UUID spécifique à une application

    $ systemd-id128 machine-id -u
    3a9d668b-4db7-4939-8a4a-5e78a03bffb7
    $ systemd-id128 new -u
    1fb8f24b-02df-458d-9659-cc8ace68e28a
    $ systemd-id128 machine-id -u -a 1fb8f24b-02df-458d-9659-cc8ace68e28a
    47b82cb1-5339-43da-b2a6-1c350aef1bd1
    $ systemd-id128 -Pu show 3a9d668b-4db7-4939-8a4a-5e78a03bffb7 \
        -a 1fb8f24b-02df-458d-9659-cc8ace68e28a
    47b82cb1-5339-43da-b2a6-1c350aef1bd1

Sur la machine indiquée d’identifiant 3a9d668b-4db7-4939-8a4a-5e78a03bffb7, pour l’application 1fb8f24b-02df-458d-9659-cc8ace68e28a, un identifiant de machine spécifique à l’application (47b82cb1-5339-43da-b2a6-1c350aef1bd1) est généré. Pour refaire plus tard le même calcul sur une machine différente, les deux identifiants doivent être explicitement spécifiés en tant que paramètres à show.

VOIR AUSSI

systemd(1), sd-id128(3), sd_id128_get_machine(3)

NOTES

1.  UAPI.2 Spécification des Partitions Détectables
    https://uapi-group.org/specifications/specs/discoverable_partitions_specification

2.  Universally Unique Identifiers
    https://en.wikipedia.org/wiki/Universally_unique_identifier#Format

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.